From e2e7794707aa017193ba66dc6615c98848b6e06c Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 17 Aug 2022 14:22:24 +0200
Subject: [PATCH 4/7] meson: Add darwin_versions argument for libraries

---
 src/interfaces/ecpg/compatlib/meson.build  | 1 +
 src/interfaces/ecpg/ecpglib/meson.build    | 1 +
 src/interfaces/ecpg/pgtypeslib/meson.build | 1 +
 src/interfaces/libpq/meson.build           | 1 +
 4 files changed, 4 insertions(+)

diff --git a/src/interfaces/ecpg/compatlib/meson.build b/src/interfaces/ecpg/compatlib/meson.build
index 2022dec571..b249459e1f 100644
--- a/src/interfaces/ecpg/compatlib/meson.build
+++ b/src/interfaces/ecpg/compatlib/meson.build
@@ -7,6 +7,7 @@ ecpg_compat = both_libraries('libecpg_compat',
   dependencies: [frontend_shlib_code, thread_dep],
   link_with: [ecpglib, ecpg_pgtypes],
   soversion: host_system != 'win32' ? '3' : '',
+  darwin_versions: ['3', '3.'+pg_version_major.to_string()],
   version: '3.'+pg_version_major.to_string(),
   link_args: export_fmt.format(export_file.full_path()),
   link_depends: export_file,
diff --git a/src/interfaces/ecpg/ecpglib/meson.build b/src/interfaces/ecpg/ecpglib/meson.build
index 18300f3ef0..b9f036a826 100644
--- a/src/interfaces/ecpg/ecpglib/meson.build
+++ b/src/interfaces/ecpg/ecpglib/meson.build
@@ -20,6 +20,7 @@ ecpglib = both_libraries('libecpg',
   dependencies: [frontend_shlib_code, libpq, thread_dep],
   link_with: [ecpg_pgtypes],
   soversion: host_system != 'win32' ? '6' : '',
+  darwin_versions: ['6', '6.'+pg_version_major.to_string()],
   version: '6.'+pg_version_major.to_string(),
   link_args: export_fmt.format(export_file.full_path()),
   link_depends: export_file,
diff --git a/src/interfaces/ecpg/pgtypeslib/meson.build b/src/interfaces/ecpg/pgtypeslib/meson.build
index a33db144e6..02ae2bcaf9 100644
--- a/src/interfaces/ecpg/pgtypeslib/meson.build
+++ b/src/interfaces/ecpg/pgtypeslib/meson.build
@@ -16,6 +16,7 @@ ecpg_pgtypes = both_libraries('libpgtypes',
   dependencies: [frontend_shlib_code],
   version: '3.'+pg_version_major.to_string(),
   soversion: host_system != 'win32' ? '3' : '',
+  darwin_versions: ['3', '3.'+pg_version_major.to_string()],
   link_args: export_fmt.format(export_file.full_path()),
   link_depends: export_file,
   kwargs: default_lib_args,
diff --git a/src/interfaces/libpq/meson.build b/src/interfaces/libpq/meson.build
index 9f29136034..2cc4f5f8c8 100644
--- a/src/interfaces/libpq/meson.build
+++ b/src/interfaces/libpq/meson.build
@@ -52,6 +52,7 @@ libpq_both = both_libraries('libpq',
   dependencies: libpq_deps,
   version: '5.'+pg_version_major.to_string(),
   soversion: host_system != 'win32' ? '5' : '' ,
+  darwin_versions: ['5', '5.'+pg_version_major.to_string()],
   link_depends: export_file,
   link_args: export_fmt.format(export_file.full_path()),
   kwargs: default_lib_args,
-- 
2.37.1

